#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.3
visibility:           public
id:                   persistent-test-2.13.0.3-5mCqWTsdUlbCEhORPXhjCg
key:                  persistent-test-2.13.0.3-5mCqWTsdUlbCEhORPXhjCg
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  7aa28a7ae17c0a0644733f5263e5f6d3
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/persistent-test-2.13.0.3
hs-libraries:         HSpersistent-test-2.13.0.3-5mCqWTsdUlbCEhORPXhjCg
depends:
    HUnit-1.6.2.0-2lDDmQCEetY9OrwZ2lDZMS
    QuickCheck-2.14.2-IrhINHdHXv9CDSLhYN7ABW
    aeson-1.5.6.0-FH3TyhjfoU9J1nOiG0i6k4 base-4.15.0.0
    blaze-html-0.9.1.2-7rntfrYy5Te2QDZeTIqLXL bytestring-0.10.12.1
    conduit-1.3.4.1-1bcPVauRWRp1W2M0vjwh5A containers-0.6.4.1
    exceptions-0.10.4 hspec-2.8.3-HUNyTzRtfM76X0RwY2Z3cH
    hspec-expectations-0.8.2-GGGXL2nWs981V3xvQdYYx0
    http-api-data-0.4.3-F4qbw4ngR3JColDAz1zVbU
    monad-control-1.0.3.1-BNgENcrTprEBkmgJW18eed
    monad-logger-0.3.36-HR9qQuGiExeAiAMpBn7n0R mtl-2.2.2
    path-pieces-0.2.1-HjhK3aNN7yZFxOOVXSfLKP
    persistent-2.13.1.2-5FhWRB36tjjKe1g3gZCg88
    quickcheck-instances-0.3.25.2-ASGdBk6G0GvCYOR7gkanzS
    random-1.2.0-1BE3Y1nCod49ZuCEOwydFE
    resourcet-1.2.4.3-5mw5zFcSXi7BloHs1uJB6P text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-DdORi76Q0sMCnvGVm9cGnq
    unliftio-0.2.19-7bSKH5w84aQJYwLJMPQWSo
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-DBDZ3ZaaKWNDxQAlLFMrPR

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

